cURL
curl --request GET \
--url https://api-staging.getmeadow.com/api/v1/orders/{orderId} \
--header 'X-Client-Key: <api-key>' \
--header 'X-Consumer-Key: <api-key>'import requests
url = "https://api-staging.getmeadow.com/api/v1/orders/{orderId}"
headers = {
"X-Consumer-Key": "<api-key>",
"X-Client-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Consumer-Key': '<api-key>', 'X-Client-Key': '<api-key>'}
};
fetch('https://api-staging.getmeadow.com/api/v1/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "18673982",
"status": "packed"
}
}{
"error": {
"message": "A description of the error code",
"code": "CODE_OF_ERROR_WILL_BE_HERE"
}
}Endpoints: Create Orders
Retrieve order status
Retrieves the status of the order for that ID
GET
/
api
/
v1
/
orders
/
{orderId}
cURL
Authorizations
The key assigned to your company and provided via Meadow
The key generated and provided by our mutual client
Path Parameters
ID of order to retrieve
Response
Order status response
The ID of the order
The status of the order. One of draft, new, packed, fulfilled, canceled
draftis an order submitted without inventory taken outnewis an order that has had inventory associated with itpackedsignifies an order has been processed and is waiting for pickup/deliveryfulfilledis an order that has been fully completedcanceledis an order that has been canceled

